#### buffer (28 of 42 overloads)

Create a new non-modifiable buffer that represents the given string.

    template<
        typename Elem,
        typename Traits>
    const_buffer buffer(
        basic_string_view< Elem, Traits > data,
        std::size_t max_size_in_bytes);

###### Return Value

A `mutable_buffer` value equivalent to:

    mutable_buffer(
       data.size() ? &data[0] : 0,
       min(data.size() * sizeof(Elem), max_size_in_bytes));